astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- N-dimensional datasets (`astropy.nddata`) »
- StdDevUncertainty

# StdDevUncertainty

class `astropy.nddata.``StdDevUncertainty`(array=None, copy=True)

  Bases: `astropy.nddata.NDUncertainty`

  A class for standard deviation uncertainties

  Attributes Summary

  `array` |
  `parent_nddata` |
  `support_correlated` |

  Methods Summary

  `propagate_add`(other_nddata, result_data) | Propagate uncertainties for addition.
  `propagate_divide`(other_nddata, result_data) | Propagate uncertainties for division.
  `propagate_multiply`(other_nddata, result_data) | Propagate uncertainties for multiplication.
  `propagate_subtract`(other_nddata, result_data) | Propagate uncertainties for subtraction.

  Attributes Documentation

  `array`
  `parent_nddata`
  `support_correlated` = False

  Methods Documentation

  `propagate_add`(other_nddata, result_data)

    Propagate uncertainties for addition.

    Parameters:

    other_nddata : NDData instance

    > The data for the second other_nddata in a + b

    result_data : `ndarray` instance

    > The data array that is the result of the addition

    Returns:

    result_uncertainty : NDUncertainty instance

    > The resulting uncertainty

    Raises:

    IncompatibleUncertaintiesException

    > Raised if the method does not know how to propagate the uncertainties.

  `propagate_divide`(other_nddata, result_data)

    Propagate uncertainties for division.

    Parameters:

    other_nddata : NDData instance

    > The data for the second other_nddata in a + b

    result_data : `ndarray` instance

    > The data array that is the result of the addition

    Returns:

    result_uncertainty : NDUncertainty instance

    > The resulting uncertainty

    Raises:

    IncompatibleUncertaintiesException

    > Raised if the method does not know how to propagate the uncertainties.

  `propagate_multiply`(other_nddata, result_data)

    Propagate uncertainties for multiplication.

    Parameters:

    other_nddata : NDData instance

    > The data for the second other_nddata in a + b

    result_data : `ndarray` instance

    > The data array that is the result of the addition

    Returns:

    result_uncertainty : NDUncertainty instance

    > The resulting uncertainty

    Raises:

    IncompatibleUncertaintiesException

    > Raised if the method does not know how to propagate the uncertainties.

  `propagate_subtract`(other_nddata, result_data)

    Propagate uncertainties for subtraction.

    Parameters:

    other_nddata : NDData instance

    > The data for the second other_nddata in a + b

    result_data : `ndarray` instance

    > The data array that is the result of the addition

    Returns:

    result_uncertainty : NDUncertainty instance

    > The resulting uncertainty

    Raises:

    IncompatibleUncertaintiesException

    > Raised if the method does not know how to propagate the uncertainties.